Name:           perl-WWW-Google-Contacts
Version:        0.33
Release:        6%{?dist}
Summary:        Use Perl to access, list and edit Google Contacts
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/WWW-Google-Contacts/
Source0:        http://www.cpan.org/authors/id/M/ME/MERIXZON/WWW-Google-Contacts-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.31
# Run-time
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Encode)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(MooseX::Role::Parameterized)
BuildRequires:  perl(MooseX::Types)
BuildRequires:  perl(MooseX::Types::Moose)
BuildRequires:  perl(Net::Google::AuthSub)
BuildRequires:  perl(Perl6::Junction)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(XML::Simple)
# Tests
BuildRequires:  perl(Test::More)
# Not needed but checked by Makefile.PL, stray specification probably
BuildRequires:  perl(Class::MOP) >= 1.09
BuildRequires:  perl(Crypt::SSLeay)
BuildRequires:  perl(MooseX::Singleton) >= 0.25

# The Requires that are commented are duplicates between cpanspec and
# automatic rpmbuild detection.
Requires:       perl(Class::MOP) >= 1.09
Requires:       perl(Crypt::SSLeay)
#Requires:       perl(File::Slurp)
#Requires:       perl(LWP::UserAgent)
#Requires:       perl(Moose)
#Requires:       perl(MooseX::Role::Parameterized)
Requires:       perl(MooseX::Singleton) >= 0.25
#Requires:       perl(MooseX::Types)
#Requires:       perl(Net::Google::AuthSub)
#Requires:       perl(Perl6::Junction)
#Requires:       perl(Try::Tiny)
#Requires:       perl(XML::Simple)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module implements 'Google Contacts Data API' according to
http://code.google.com/apis/contacts/docs/3.0/developers_guide_protocol.html

%prep
%setup -q -n WWW-Google-Contacts-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 25 2012 Petr Pisar <ppisar@redhat.com> - 0.33-4
- Perl 5.16 rebuild
- Specify all dependencies

* Wed Mar 21 2012 Avi Alkalay <avi@unix.sh> 0.33-3
- Removed duplicate Requires
- Refined for Fedora and EPEL sponsorship

* Mon Mar 05 2012 Avi Alkalay <avi@unix.sh> 0.33-2
- Edited cpanspec default description to something more readable
- Added the perl(Test::More) BuildRequires

* Fri Mar 02 2012 Avi Alkalay <avi@unix.sh> 0.33-1
- Specfile autogenerated by cpanspec 1.78.
